Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77395 - m4 does not honor INPUT_MAIL_FILTER(...) with RedHat provided mc
Summary: m4 does not honor INPUT_MAIL_FILTER(...) with RedHat provided mc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 10:56 UTC by Toni Willberg
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-06 10:56:52 UTC


Attachments (Terms of Use)

Description Toni Willberg 2002-11-06 10:56:46 UTC
* Description of problem:
m4 ignores INPUT_MAIL_FILTER(...) -line of sendmail.mc when using RedHat's
version of sendmail.mc (and it's includes)

* Version-Release number of selected component (if applicable):
 sendmail-8.11.6-3

* How reproducible:
Always

* Steps to Reproduce:
1. cd /etc/mail/
2: append line 
     INPUT_MAIL_FILTER(`spamassassin', `S=local:/var/run/spamass.sock, F=,
T=C:15m;S:4m;R:4m;E:10m')
   to sendmail.mc
3. m4 sendmail.mc > sendmail.test.cf

	

* Actual Results:  m4 seems to ignore the appended line.

* Expected Results:  Following lines should be found from sendmail.test.cf:

 O InputMailFilters=spamassassin
 Xspamassassin, S=local:/var/run/spamass.sock, F=, T=C:15m;S:4m;R:4m;E:10m


Additional info:

Tested with:
 sendmail-8.11.6-3
 sendmail-8.12.5-7.2
 m4-1.4.1-7


This might aswell be bug in m4. Who knows. I have no time to debug it further.

If there's something wrong with that INPUT_MAIL_FILTER -line, I will blaim
author of spamass-milter who wrote /usr/src/spamass-milter-0.1.2/README.

Bye :)

Comment 1 Florian La Roche 2002-12-02 14:30:13 UTC
milter was not fully supported in that version of sendmail, I'd strongly
suggest to update to 8.12 or newer to use milter support.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.